--- !ruby/object:RI::ClassDescription 
attributes: []

class_methods: []

comment: 
- !ruby/struct:SM::Flow::P 
  body: "The class to represent the query result tuples (rows). An instance of this class is created as the result of every query. You may need to invoke the #clear method of the instance when finished with the result for better memory performance."
constants: 
- !ruby/object:RI::Constant 
  comment: 
  name: EMPTY_QUERY
  value: INT2FIX(PGRES_EMPTY_QUERY)
- !ruby/object:RI::Constant 
  comment: 
  name: COMMAND_OK
  value: INT2FIX(PGRES_COMMAND_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: TUPLES_OK
  value: INT2FIX(PGRES_TUPLES_OK)
- !ruby/object:RI::Constant 
  comment: 
  name: COPY_OUT
  value: INT2FIX(PGRES_COPY_OUT)
- !ruby/object:RI::Constant 
  comment: 
  name: COPY_IN
  value: INT2FIX(PGRES_COPY_IN)
- !ruby/object:RI::Constant 
  comment: 
  name: BAD_RESPONSE
  value: INT2FIX(PGRES_BAD_RESPONSE)
- !ruby/object:RI::Constant 
  comment: 
  name: NONFATAL_ERROR
  value: INT2FIX(PGRES_NONFATAL_ERROR)
- !ruby/object:RI::Constant 
  comment: 
  name: FATAL_ERROR
  value: INT2FIX(PGRES_FATAL_ERROR)
full_name: PGresult
includes: 
- !ruby/object:RI::IncludedModule 
  name: Enumerable
instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: "[]"
- !ruby/object:RI::MethodSummary 
  name: clear
- !ruby/object:RI::MethodSummary 
  name: close
- !ruby/object:RI::MethodSummary 
  name: cmdstatus
- !ruby/object:RI::MethodSummary 
  name: cmdtuples
- !ruby/object:RI::MethodSummary 
  name: each
- !ruby/object:RI::MethodSummary 
  name: fieldname
- !ruby/object:RI::MethodSummary 
  name: fieldnum
- !ruby/object:RI::MethodSummary 
  name: fields
- !ruby/object:RI::MethodSummary 
  name: getisnull
- !ruby/object:RI::MethodSummary 
  name: getlength
- !ruby/object:RI::MethodSummary 
  name: getvalue
- !ruby/object:RI::MethodSummary 
  name: getvalue_byname
- !ruby/object:RI::MethodSummary 
  name: num_fields
- !ruby/object:RI::MethodSummary 
  name: num_tuples
- !ruby/object:RI::MethodSummary 
  name: oid
- !ruby/object:RI::MethodSummary 
  name: print
- !ruby/object:RI::MethodSummary 
  name: size
- !ruby/object:RI::MethodSummary 
  name: status
- !ruby/object:RI::MethodSummary 
  name: type
name: PGresult
superclass: Object
